QGIS Application - Bug report #12361
QGIS crashes whenever using Python console
2015-03-11 07:04 PM - Jacky Duke

Status: Closed

Priority: Normal

Assignee:

Category: PyQGIS Console

Affected QGIS version:2.8.1 Regression?: No

Operating System: Arch Linux Easy fix?: No

Pull Request or Patch supplied: Resolution: not reproducable
Crashes QGIS or corrupls data: Copied to github as #: 20536
Description

QGIS 2.8.1 crashes every time when | use the Python console. For exammple, when | type help(if.., it always crashes when | type 'f'. | was
wondering if this is only my problem. Below is the crash information from system log:

qgis8t: segfault at 1¢8 ip 00007f9d2d6edb5e sp 00007{ff42f23198 error 4 in libQtGui.s0.4.8.6[7f9d2d4e5000+aa2000]

However, if | open as 'gksudo qgis', everything seems fine.

History

#1 - 2015-03-12 02:30 AM - Giovanni Manghi
- Category set to PyQGIS Console
- Status changed from Open to Feedback

works fine here on Ubuntu.

#2 - 2015-03-12 04:48 AM - Matthias Kuhn

Can you try to temporarily rename your ~/.qgis2 folder

#3 - 2015-03-12 07:37 PM - Jacky Duke

| have tried but it did not work either.

Matthias Kuhn wrote:

Can you try to temporarily rename your ~/.qgis2 folder

#4 - 2015-03-12 07:39 PM - Jacky Duke

It crashed on my Ubuntu. | thought it was the PPA problem so | migrated to Arch Linux but it still happens.

Giovanni Manghi wrote:

works fine here on Ubuntu.
#5 - 2015-12-21 12:02 PM - Giovanni Manghi

this seems pretty much a local issue... something new to add to this report?
tried a recent release, 2.8.4 or 2.12.1?

#6 - 2016-01-06 11:52 AM - Giovanni Manghi
- Resolution set to not reproducable
- Status changed from Feedback to Closed

closing for lack of feedback, please reopen if necessary.
